<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>Espacios flex</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>
            body {
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
            }

            body > div {
                display: flex;
                flex-direction: column;
                align-items: center;
                width: 50%;
            }
            .flex {
                background-color: gray;
                display: flex;
                flex-wrap: wrap;
                margin: .5em;
                height: 100px;
                width: 50%;
            }

            .flex > div {
                background-color: lightblue;
                border: 1px solid;
                width: 25%;
            }

            .gap {
                gap: 3px;
            }

            .gap-3-20 {
                gap: 3px 20px;
            }

            .row-gap {
                row-gap: 5px;
            }

            .column-gap {
                column-gap: 5px;
            }
        </style>
    </head>
    <body>
        <div>
            <strong>gap: 3px;</strong>
            <div class="flex gap">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>gap: 3px 20px;</strong>
            <div class="flex gap-3-20">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>row-gap: 5px;</strong>
            <div class="flex row-gap">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>column-gap: 5px;</strong>
            <div class="flex column-gap">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
    </body>
</html>